// Footsteps, P. Cook, Feb. 6 2009
public class GaitLab {
    Noise n => Gain g => PoleZero pz => LPF lp => JCRev r => HPF hp => Gain ggain => dac;
    pz => Delay d => LPF lp2 => r;
    0.005 => r.mix;
    0.12 :: second => d.max => d.delay;
    Impulse i => OnePole p => g;
    0.999 => p.pole; 3 => g.op;
    1 => pz.blockZero;
    200.0 => lp.freq;  1 => lp.Q;
    300.0 => lp2.freq;  1 => lp2.Q;
    200.0 => hp.freq; 1 => hp.Q;
    
    fun void walk(dur howlong, float gain) {
        gain => ggain.gain;
        now + howlong => time till;
        while (now < till)   {
            step();
            Std.rand2f(0.7,0.82) :: second => now;
        }
    }
    
    fun void step()   {
        Std.rand2f(20000,40000) => i.next;
        Std.rand2f(0.6,1.1) => lp.gain;
        0.3 * Std.rand2f(0.6,1.1) => lp2.gain;    
        Std.rand2f(0.02,0.06) :: second => d.delay;
    }
}