// ROUGH IDEA: good morning => crazy day
// Person wakes up brushes etc, then someone pounds on his door.
// When he opens it, the world outside is sonically weird.
// To end the insanity, he shuts the door.

// snoring sound, if available
Machine.add("alarm.ck");
4.2::second => now;
// some kind of slam to turn off alarm
SndBuf s => dac;
//"Basic150/Walking/BBC7-43ManWalkPavement.wav" => s.read;
//2.0 => s.gain;
Machine.add("NonParGaitLab.ck");
new NonParGaitLab @=> NonParGaitLab @ walker;
walker.walk(3.5::second, 1.5);
.2::second => now;
//"Basic150/Snot/OCon4-78SlidingDoor.wav" => s.read;
"sliding_synth.wav" => s.read; // CTFLPC (use this or brush_synth)
1.0 => s.gain;
4::second => now;
//"Basic150/Walking/OCon4-74BrushTeeth.wav" => s.read;
"brush_synth.wav" => s.read; // CTFLPC (replace some)
6::second => now;
//"Basic150/Snot/OCon4-27HandsInWater.wav" => s.read;
"water_synth.wav" => s.read; // CTFLPC, but not very good
4::second => now;

// need more blending / overlap in this part
//SndBuf bell => dac;
//"Basic150/Modal/SETK40Doorbell.wav" => bell.read;
spork ~ Machine.add("doorbells.ck");
SndBuf door => dac;
.5::second => now;
spork ~ walker.walk(4.5::second, .5);
"Basic150/Modal/SETK39DoorPound.wav" => door.read;
1 => door.loop; 
4.5::second => now;
door =< dac;

//"Basic150/Modal/OCon4-2DoorOpenClose.wav" => s.read;
"doorLPC.wav" => s.read;
1.5::second => now;
s =< dac;

// begin part that needn't make sense (feel free to majorly edit!)
// (from /n/fs/sound/amisra/public_html/results_big/OLARAndom/park/s22050p2d0a1.wav)
spork ~ playbuf("babies/shorter_chorus.wav", 36::second, .05::second, 1, .05::second);
2::second => now;
spork ~ playbuf("s22050p2d0a1.wav", 9::second, 4::second, 1.5, 4::second); // park OLA
9.5::second => now;
spork ~ playbuf("www.wav", 9::second, 4::second, 1.5, 4::second); // featsynth
7.5::second => now;
spork ~ playbuf("windchimes_synth.wav", 15::second, 1::second, 0.7, 3::second);
16::second => now;

// end by closing the door
s => dac;
//"Basic150/Modal/OCon4-2DoorOpenClose.wav" => s.read;
//66150 => s.pos;
"doorLPC.wav" => s.read;
66125 => s.pos;
1::second => now;
<<< "done" >>>;


fun void playbuf(string file, dur len, dur attack, float sustain, dur release) {
    SndBuf b => ADSR adsr => dac;
    adsr.set(attack, .1::second, sustain, release);
    file => b.read;
    1 => adsr.keyOn;
    len - release => now;
    1 => adsr.keyOff;
    release => now;
    b =< adsr =< dac;
}